beanfire
小狐狸
小狐狸
  • UID30899
  • 注册日期2009-10-30
  • 最后登录2019-10-31
  • 发帖数22
  • 经验23枚
  • 威望0点
  • 贡献值18点
  • 好评度0点
阅读:1477回复:8

求助,打开QQ空间或者QQ邮箱火狐9报错

楼主#
更多 发布于:2012-01-29 16:36
今天火狐从3.6升级到9.0.1后,在QQ软件中打开QQ空间或者QQ邮箱调用火狐就报错,我一直是设置火狐为默认浏览器的,如果设置360或者其它浏览器为默认,360或者其它浏览器就不会出错。以前火狐3.6是可以打开的。
以下附件是截图,第一个图报错后,

图片:1.jpg


点确定,第二个图接着弹出,

图片:2.jpg


求助。
dongyuanxun
非常火狐
非常火狐
  • UID28632
  • 注册日期2009-04-19
  • 最后登录2013-02-14
  • 发帖数898
  • 经验10枚
  • 威望0点
  • 贡献值0点
  • 好评度0点
1楼#
发布于:2012-01-29 16:36
还是manifest的原因,用VC2003-VC2008编译如果不嵌入manifest或者manifest冲突都会有该问题
2010理论上无,但也有人碰到

10最近的beta版修复了该manifest嵌入处理
beanfire
小狐狸
小狐狸
  • UID30899
  • 注册日期2009-10-30
  • 最后登录2019-10-31
  • 发帖数22
  • 经验23枚
  • 威望0点
  • 贡献值18点
  • 好评度0点
2楼#
发布于:2012-01-29 16:36
dongyuanxun:还是manifest的原因,用VC2003-VC2008编译如果不嵌入manifest或者manifest冲突都会有该问题
2010理论上无,但也有人碰到

10最近的beta版修复了该manifest嵌入处理
回到原帖


我用的火狐9.0.1啊,请问有其它办法解决吗?
dongyuanxun
非常火狐
非常火狐
  • UID28632
  • 注册日期2009-04-19
  • 最后登录2013-02-14
  • 发帖数898
  • 经验10枚
  • 威望0点
  • 贡献值0点
  • 好评度0点
3楼#
发布于:2012-01-29 16:36
你看看安装VC2005运行库是否能解决问题
我记得tete009说把相关的manifest复制到browsercomps.dll所在目录也可,不过我忘了这个怎么弄的了
beanfire
小狐狸
小狐狸
  • UID30899
  • 注册日期2009-10-30
  • 最后登录2019-10-31
  • 发帖数22
  • 经验23枚
  • 威望0点
  • 贡献值18点
  • 好评度0点
4楼#
发布于:2012-01-29 16:36
dongyuanxun:你看看安装VC2005运行库是否能解决问题
我记得tete009说把相关的manifest复制到browsercomps.dll所在目录也可,不过我忘了这个怎么弄的了
回到原帖


安装VC2005运行库,还是不行啊。
dongyuanxun
非常火狐
非常火狐
  • UID28632
  • 注册日期2009-04-19
  • 最后登录2013-02-14
  • 发帖数898
  • 经验10枚
  • 威望0点
  • 贡献值0点
  • 好评度0点
5楼#
发布于:2012-01-29 16:36
你试试把
Microsoft.VC80.CRT.manifest
msvcm80.dll
msvcp80.dll
msvcr80.dll
4个文件复制到firefox.exe和browsercomps.dll目录能否解决

因为不知道你的崩溃报告和系统详细错误报告是什么,所以不清楚到底什么模块有manifest的问题
dongyuanxun
非常火狐
非常火狐
  • UID28632
  • 注册日期2009-04-19
  • 最后登录2013-02-14
  • 发帖数898
  • 经验10枚
  • 威望0点
  • 贡献值0点
  • 好评度0点
6楼#
发布于:2012-01-29 16:36
我不知道你装的VC2005运行库是哪个版本
试试这个版本
http://www.microsoft.com/download/en/de ... x?id=26347
beanfire
小狐狸
小狐狸
  • UID30899
  • 注册日期2009-10-30
  • 最后登录2019-10-31
  • 发帖数22
  • 经验23枚
  • 威望0点
  • 贡献值18点
  • 好评度0点
7楼#
发布于:2012-01-29 16:36
dongyuanxun:我不知道你装的VC2005运行库是哪个版本
试试这个版本
http://www.microsoft.com/download/en/de ... x?id=26347
回到原帖


使用了这个运行库,也还是报错,我用的QQ2011
我开了飞信,点飞信空间,是能正常打开的。奇怪。要下班了。继续求助。
beanfire
小狐狸
小狐狸
  • UID30899
  • 注册日期2009-10-30
  • 最后登录2019-10-31
  • 发帖数22
  • 经验23枚
  • 威望0点
  • 贡献值18点
  • 好评度0点
8楼#
发布于:2012-01-29 16:36
没有办法,还是不折腾了,换了个火狐8.0,没问题了。不敢升级了。
升级一大堆问题,有扩展问题,有兼容问题。
感谢dongyuanxun的回答。
游客

返回顶部